Page MenuHomePhabricator

Hide revision dependency stories from feed/notifications
ClosedPublic

Authored by epriestley on Apr 16 2019, 7:56 PM.
Tags
None
Referenced Files
F13321771: D20437.diff
Fri, Jun 14, 7:13 AM
F13302650: D20437.diff
Sat, Jun 8, 5:31 AM
F13288658: D20437.diff
Tue, Jun 4, 10:45 AM
F13271322: D20437.id48765.diff
Wed, May 29, 7:58 PM
F13256776: D20437.diff
Sat, May 25, 5:14 PM
F13252955: D20437.id.diff
Sat, May 25, 2:15 AM
F13246624: D20437.diff
Thu, May 23, 12:05 PM
F13214911: D20437.id48766.diff
May 17 2024, 1:45 PM
Subscribers
None
Tokens
"Baby Tequila" token, awarded by amckinley.

Details

Summary

See PHI1134. Generally, "alice added a dependent revision: ..." isn't a very interesting story. This relationship itself is valuable, but the creation of the relationship is usually pretty obvious from context.

In the specific case of PHI1134, various scripts are racing one another, but I don't think this story is of much value in the general case anyway.

Test Plan

Edited parent/child revisions, no more feed stories.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

I feel kinda similarly about getting a flurry of "added commit to TXXX" notifications that fire in addition to the "bob closed DXXX" notifications. We don't have the infrastructure to say stuff like "only hide this notification if the same action already generated a separate notification of type foo, do we?

This revision is now accepted and ready to land.Apr 17 2019, 9:30 PM

All the same underlying action:

Screen Shot 2019-04-17 at 2.30.42 PM.png (465×406 px, 76 KB)

only hide this notification if the same action already generated a separate notification of type foo, do we?

In the absolutely most general case, we can't do this because metamta.one-mail-per-recipient may be off, and alice may only be on the task, while bailey is only on the revision, so we have to send both so that each of alice and bailey get at least one email.

At the moment, both of these emails come from the same task so they could interact, but this may not be true for long.

A half-step might be to just silence "added a commit to" in all cases? I'm not sure that's ever really interesting. That wouldn't silence "closed task X by committing Y", just the cases where a commit gets attached without affecting the task status.

At the moment, both of these emails come from the same task

That is, from the same GitMessageParserWorker task in the task queue, not "from the same Maniphest task" in some sort of virtual sense.

A half-step might be to just silence "added a commit to" in all cases?

Yeah that's fine with me; I was just thinking that users with flows that don't involve Differential revisions might still want to be notified about the attached commit. But that^^ would improve my life, so I'm in favor of it.

  • At least for the moment, fully silence the "commit/task" edges, too.
This revision was automatically updated to reflect the committed changes.